vim配置go语言语法高亮问题的解决方法

操作系统 : CentOS7.3.1611_x64

go 版本 : go1.8.3 linux/amd64

vim版本 :version 7.4.160

vim配置go语言语法高亮的问题已经遇到过好几次了,每次都去查找太麻烦,这里总结下。

安装git:

yum install git

安装vim-go :

cd ~
mkdir .vim
cd .vim
mkdir autoload plugged
cd plugged
git clone https://github.com/fatih/vim-go vim-go
cd autoload
wget https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim

配置vimrc文件:

[root@localhost ~]# cat ~/.vimrc
call plug#begin()
Plug 'fatih/vim-go', { 'do': ':GoInstallBinaries' }
call plug#end()
let g:go_version_warning = 0
[root@localhost ~]#

如果觉得上面的操作比较麻烦,可以使用这里的压缩文件:

https://github.com/mike-zhang/mikeBlogEssays/tree/master/2018/other/20180123_vim_go

具体如下:

cd ~
tar zxvf vim.tar.gz
tar zxvf vimrc.tar.gz

好,就这些了,希望对你有帮助。

本文github地址:

https://github.com/mike-zhang/mikeBlogEssays/blob/master/2018/ 20180123_vim配置go语法高亮.rst

总结

以上所述是小编给大家介绍的vim配置go语言语法高亮问题的解决方法,希望对大家有所帮助,如果大家有任何疑问请给我留言,小编会及时回复大家的。在此也非常感谢大家对编程小技巧网站的支持!

代码技巧

转载请关注公众号:代码技巧 回复:授权

本文链接地址:https://www.oudahe.com/p/47385/